Webalizer: can't find libpng.so.2


#1

Hi, I’ve installed Webalizer but it gives the following error when I try to run it:

./webalizer: error while loading shared libraries: libpng.so.2: cannot open shared object file: No such file or directory

I had installed the latest version but was getting the error:
./webalizer: error while loading shared libraries: libdb-4.4.so: cannot open shared object file: No such file or directory

I saw on the wiki that is says to install the earlier version if you get this early - so I did - and i now get this new error message about not being able to find libpng.so.2.

Any ideas how to sort this?

Thanks.
Jim


#2

And the rub here is that “locate libdb-4.4.so” finds it just fine, but “ldd ./webalizer” does not find it. So how do you make the loader look for libdb-4.4.so in /usr/lib??